View Issue Details

IDProjectCategoryView StatusLast Update
0035959LazarusInstallerpublic2019-08-16 18:48
ReporterMarcelo B PaulaAssigned ToMaxim Ganetsky 
PrioritynormalSeverityminorReproducibilityN/A
Status closedResolutionfixed 
Platformx86_64OSWindowsOS Version10
Product Version2.1 (SVN)Product Build 
Target VersionFixed in Version2.0.6 
Summary0035959: Update to inno setup brazilian portuguese language file
DescriptionAttached patch to lazarus.pt_br.isl (inno setup)
TagsNo tags attached.
Fixed in Revision61699
LazTarget-
WidgetsetWin32/Win64
Attached Files
  • patch.diff (5,388 bytes)
    Index: tools/install/win/lazarus.pt_BR.isl
    ===================================================================
    --- tools/install/win/lazarus.pt_BR.isl	(revis�o 61686)
    +++ tools/install/win/lazarus.pt_BR.isl	(c�pia de trabalho)
    @@ -6,19 +6,24 @@
     DelUserConf=Excluir todos os arquivos de configura��o do usu�rio das instala�es anteriores
     CleanUp=Limpeza
     
    -InstallQt=Instalar dll inteface QT
    -InstallChm=Instalar arquivos de ajuda CHM
    -AssociateGroup=Associar extens�es de arquivo
    +InstallQtLocal=Instalar a DLL da interface Qt4
    +InstallQt=Instalar globamente a DLL da interface Qt4
    +InstallQt5Local=Instalar a DLL da interface Qt5
    +InstallQt5Global=Instalar globalmente a DLL da interface Qt5
    +InstallChm=Instalar os arquivos de ajuda CHM
    +InstallOpenSSL=Instalar as bibliotecas do openssl(requeridas pelo Gerenciador de pacotes online)
    +InstallOpenSSLGlobal=Instalar globalmente as bibliotecas do openssl
    +AssociateGroup=Associar extens�es de arquivos
     
     CheckSecondClick=Criar uma nova instala��o secund�ria
     CheckSecondInfo=Uma instala��o secund�ria permite duas ou mais vers�es do Lazarus serem instaladas. Cada vers�o ter� suas pr�prias configura�es. Favor ler o FAQ sobre m�ltiplas instala�es antes de usar esta op��o.
     
    -FolderHasSpaces=Pasta selecionada cont�m espa�os, favor selecionar outra pasta.
    +FolderHasSpaces=A pasta selecionada cont�m espa�os, favor selecionar outra pasta.
     FolderNotEmpty=A pasta destino n�o est� vazia. Continuar instala��o?
     FolderNotEmpty2=A pasta destino n�o est� vazia.
     
     FolderForSecondNoFile=A pasta destino n�o est� vazia e n�o cont�m uma instala��o secund�ria do Lazarus atualiz�vel.%0:sFavor selecionar uma pasta vazia, ou uma pasta com uma instala��o secund�ria do Lazarus existente para atualiza��o.
    -FolderForSecondBadFile=A pasta destino n�o est� vazia. O instalador n�o pode detetar se ela cont�m uma instala��o secund�ria atualiz�vel do Lazarus.%0:sFavor selecionar uma pasta vazia, ou uma pasta com uma instala��o secund�ria do Lazarus existente para atualiza��o.
    +FolderForSecondBadFile=A pasta destino n�o est� vazia. O instalador n�o pode detectar se ela cont�m uma instala��o secund�ria atualiz�vel do Lazarus.%0:sFavor selecionar uma pasta vazia, ou uma pasta com uma instala��o secund�ria do Lazarus existente para atualiza��o.
     FolderForSecondUpgrading=A pasta destino n�o est� vazia.%0:sEla cont�m uma instala��o secund�ria do Lazarus usando a seguinte pasta para configura��o:%0:s%1:s%0:s%0:sContinuar instala��o?
     FolderForSecondUpgradingPrimary=A pasta destino n�o est� vazia.%0:sEla cont�m uma instala��o padr�o [n�o-secund�ria] do Lazarus.%0:sSe voc� continuar, ela ser� alterada para uma instala��o secund�ria.%0:s%0:s%0:sContinuar instala��o?
     
    @@ -52,7 +57,7 @@
     OldInBadFolder3=Nota: Se voc� deseja usar mais de uma instala��o, favor voltar e selecionar "Criar uma nova instala��o secund�ria".
     OldInBadFolder4=Clique o bot�o abaixo para desinstalar agora. Se desejar mant�-la, marque o checkbox para continuar.
     
    -OldSecondInDestFolder1=Outra instala��o do %1:s existe na pasta destino. exists in the destination folder. Se desejar desinstalar primeiro, clique o bot�o abaixo.
    +OldSecondInDestFolder1=Outra instala��o do %1:s existe na pasta destino. Se desejar desinstalar primeiro, clique o bot�o abaixo.
     OldSecondInDestFolder2=
     OldSecondInDestFolder3=Esta � uma instala��o secund�ria e a pasta para configura��o � (e ser� mantida):
     OldSecondInDestFolder4=%4:s
    @@ -70,6 +75,6 @@
     SecondTaskUpdate=Atualizando instala��o secund�ria com a configura��o na pasta:%0:s%1:s%2:s
     SecondTaskCreate=Criando instala��o secund�ria com a configura��o na pasta:%0:s%1:s%2:s
     
    -DuringInstall=Algumas informa�es do nosso FAQ: http://wiki.lazarus.freepascal.org/Lazarus_Faq%0:s%0:s    O que � Lazarus?%0:sLazarus � uma IDE cross-plataforma para o Pascal. Seu objetivo � escrever uma vez, compilar em qualquer lugar.%0:s%0:s    Como reduzir o tamanho do arquivo exe?%0:sOs bin�rios padr�o s�o grandes porque eles incluem as informa�es de depura��o. Para vers�es finais voc� pode desligar isso nas configura�es do Projeto.%0:s%0:s    Licenciamento:%0:s- A LCL � licenciada LGPL com exce��o de vincula��o. Isto permite � voc� criar apss com qualquer licen�a que desejar, incluindo propriet�ria.%0:s- A IDE � licenciada GPL. Se voc� distribuir uma IDE modificada, dever� seguir a GPL.%0:s- Outros pacotes e componentes t�m v�rias licen�as. Veja o arquivo readme de cada pacote.
    +DuringInstall=Algumas informa�es do nosso FAQ: http://wiki.lazarus.freepascal.org/Lazarus_Faq%0:s%0:s    O que � o Lazarus?%0:sLazarus � uma IDE cross-plataforma para o Pascal. Seu objetivo � escrever uma vez, compilar em qualquer lugar.%0:s%0:s    Como reduzir o tamanho do arquivo exe?%0:sOs bin�rios padr�o s�o grandes porque eles incluem as informa�es de depura��o. Para vers�es finais voc� pode desligar isso nas configura�es do Projeto.%0:s%0:s    Licenciamento:%0:s- A LCL � licenciada LGPL com exce��o de vincula��o. Isto permite � voc� criar apss com qualquer licen�a que desejar, incluindo propriet�ria.%0:s- A IDE � licenciada GPL. Se voc� distribuir uma IDE modificada, dever� seguir a GPL.%0:s- Outros pacotes e componentes t�m v�rias licen�as. Veja o arquivo readme de cada pacote.
     
    -UninstVerbose=Prestes � desinstalar %1:s da pasta %0:s. Continuar?
    +UninstVerbose=Prestes � desinstalar o %1:s da pasta %0:s. Continuar?
    
    patch.diff (5,388 bytes)

Activities

Marcelo B Paula

2019-08-12 18:21

reporter  

patch.diff (5,388 bytes)
Index: tools/install/win/lazarus.pt_BR.isl
===================================================================
--- tools/install/win/lazarus.pt_BR.isl	(revis�o 61686)
+++ tools/install/win/lazarus.pt_BR.isl	(c�pia de trabalho)
@@ -6,19 +6,24 @@
 DelUserConf=Excluir todos os arquivos de configura��o do usu�rio das instala�es anteriores
 CleanUp=Limpeza
 
-InstallQt=Instalar dll inteface QT
-InstallChm=Instalar arquivos de ajuda CHM
-AssociateGroup=Associar extens�es de arquivo
+InstallQtLocal=Instalar a DLL da interface Qt4
+InstallQt=Instalar globamente a DLL da interface Qt4
+InstallQt5Local=Instalar a DLL da interface Qt5
+InstallQt5Global=Instalar globalmente a DLL da interface Qt5
+InstallChm=Instalar os arquivos de ajuda CHM
+InstallOpenSSL=Instalar as bibliotecas do openssl(requeridas pelo Gerenciador de pacotes online)
+InstallOpenSSLGlobal=Instalar globalmente as bibliotecas do openssl
+AssociateGroup=Associar extens�es de arquivos
 
 CheckSecondClick=Criar uma nova instala��o secund�ria
 CheckSecondInfo=Uma instala��o secund�ria permite duas ou mais vers�es do Lazarus serem instaladas. Cada vers�o ter� suas pr�prias configura�es. Favor ler o FAQ sobre m�ltiplas instala�es antes de usar esta op��o.
 
-FolderHasSpaces=Pasta selecionada cont�m espa�os, favor selecionar outra pasta.
+FolderHasSpaces=A pasta selecionada cont�m espa�os, favor selecionar outra pasta.
 FolderNotEmpty=A pasta destino n�o est� vazia. Continuar instala��o?
 FolderNotEmpty2=A pasta destino n�o est� vazia.
 
 FolderForSecondNoFile=A pasta destino n�o est� vazia e n�o cont�m uma instala��o secund�ria do Lazarus atualiz�vel.%0:sFavor selecionar uma pasta vazia, ou uma pasta com uma instala��o secund�ria do Lazarus existente para atualiza��o.
-FolderForSecondBadFile=A pasta destino n�o est� vazia. O instalador n�o pode detetar se ela cont�m uma instala��o secund�ria atualiz�vel do Lazarus.%0:sFavor selecionar uma pasta vazia, ou uma pasta com uma instala��o secund�ria do Lazarus existente para atualiza��o.
+FolderForSecondBadFile=A pasta destino n�o est� vazia. O instalador n�o pode detectar se ela cont�m uma instala��o secund�ria atualiz�vel do Lazarus.%0:sFavor selecionar uma pasta vazia, ou uma pasta com uma instala��o secund�ria do Lazarus existente para atualiza��o.
 FolderForSecondUpgrading=A pasta destino n�o est� vazia.%0:sEla cont�m uma instala��o secund�ria do Lazarus usando a seguinte pasta para configura��o:%0:s%1:s%0:s%0:sContinuar instala��o?
 FolderForSecondUpgradingPrimary=A pasta destino n�o est� vazia.%0:sEla cont�m uma instala��o padr�o [n�o-secund�ria] do Lazarus.%0:sSe voc� continuar, ela ser� alterada para uma instala��o secund�ria.%0:s%0:s%0:sContinuar instala��o?
 
@@ -52,7 +57,7 @@
 OldInBadFolder3=Nota: Se voc� deseja usar mais de uma instala��o, favor voltar e selecionar "Criar uma nova instala��o secund�ria".
 OldInBadFolder4=Clique o bot�o abaixo para desinstalar agora. Se desejar mant�-la, marque o checkbox para continuar.
 
-OldSecondInDestFolder1=Outra instala��o do %1:s existe na pasta destino. exists in the destination folder. Se desejar desinstalar primeiro, clique o bot�o abaixo.
+OldSecondInDestFolder1=Outra instala��o do %1:s existe na pasta destino. Se desejar desinstalar primeiro, clique o bot�o abaixo.
 OldSecondInDestFolder2=
 OldSecondInDestFolder3=Esta � uma instala��o secund�ria e a pasta para configura��o � (e ser� mantida):
 OldSecondInDestFolder4=%4:s
@@ -70,6 +75,6 @@
 SecondTaskUpdate=Atualizando instala��o secund�ria com a configura��o na pasta:%0:s%1:s%2:s
 SecondTaskCreate=Criando instala��o secund�ria com a configura��o na pasta:%0:s%1:s%2:s
 
-DuringInstall=Algumas informa�es do nosso FAQ: http://wiki.lazarus.freepascal.org/Lazarus_Faq%0:s%0:s    O que � Lazarus?%0:sLazarus � uma IDE cross-plataforma para o Pascal. Seu objetivo � escrever uma vez, compilar em qualquer lugar.%0:s%0:s    Como reduzir o tamanho do arquivo exe?%0:sOs bin�rios padr�o s�o grandes porque eles incluem as informa�es de depura��o. Para vers�es finais voc� pode desligar isso nas configura�es do Projeto.%0:s%0:s    Licenciamento:%0:s- A LCL � licenciada LGPL com exce��o de vincula��o. Isto permite � voc� criar apss com qualquer licen�a que desejar, incluindo propriet�ria.%0:s- A IDE � licenciada GPL. Se voc� distribuir uma IDE modificada, dever� seguir a GPL.%0:s- Outros pacotes e componentes t�m v�rias licen�as. Veja o arquivo readme de cada pacote.
+DuringInstall=Algumas informa�es do nosso FAQ: http://wiki.lazarus.freepascal.org/Lazarus_Faq%0:s%0:s    O que � o Lazarus?%0:sLazarus � uma IDE cross-plataforma para o Pascal. Seu objetivo � escrever uma vez, compilar em qualquer lugar.%0:s%0:s    Como reduzir o tamanho do arquivo exe?%0:sOs bin�rios padr�o s�o grandes porque eles incluem as informa�es de depura��o. Para vers�es finais voc� pode desligar isso nas configura�es do Projeto.%0:s%0:s    Licenciamento:%0:s- A LCL � licenciada LGPL com exce��o de vincula��o. Isto permite � voc� criar apss com qualquer licen�a que desejar, incluindo propriet�ria.%0:s- A IDE � licenciada GPL. Se voc� distribuir uma IDE modificada, dever� seguir a GPL.%0:s- Outros pacotes e componentes t�m v�rias licen�as. Veja o arquivo readme de cada pacote.
 
-UninstVerbose=Prestes � desinstalar %1:s da pasta %0:s. Continuar?
+UninstVerbose=Prestes � desinstalar o %1:s da pasta %0:s. Continuar?
patch.diff (5,388 bytes)

Maxim Ganetsky

2019-08-16 01:05

developer   ~0117693

Applied and merged to fixes_2_0 branch, thanks.

Marcelo B Paula

2019-08-16 18:48

reporter   ~0117709

Thank you.

Issue History

Date Modified Username Field Change
2019-08-12 18:21 Marcelo B Paula New Issue
2019-08-12 18:21 Marcelo B Paula File Added: patch.diff
2019-08-15 14:17 Maxim Ganetsky Assigned To => Maxim Ganetsky
2019-08-15 14:17 Maxim Ganetsky Status new => assigned
2019-08-16 01:05 Maxim Ganetsky Status assigned => resolved
2019-08-16 01:05 Maxim Ganetsky Resolution open => fixed
2019-08-16 01:05 Maxim Ganetsky Fixed in Version => 2.0.6
2019-08-16 01:05 Maxim Ganetsky Fixed in Revision => 61699
2019-08-16 01:05 Maxim Ganetsky LazTarget => -
2019-08-16 01:05 Maxim Ganetsky Widgetset Win32/Win64 => Win32/Win64
2019-08-16 01:05 Maxim Ganetsky Note Added: 0117693
2019-08-16 18:48 Marcelo B Paula Status resolved => closed
2019-08-16 18:48 Marcelo B Paula Note Added: 0117709